/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005-2010, Red Hat Middleware LLC, and individual contributors
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */


package org.jboss.test.messaging.util;

import org.jboss.messaging.util.SecurityUtil;
import org.jboss.test.messaging.MessagingTestCase;

/**
 * A SecurityUtilTest
 *
 * @author <a href="mailto:hgao@redhat.com">Howard Gao</a>
 * 
 * Created May 13, 2010 1:06:43 PM
 *
 *
 */
public class SecurityUtilTest extends MessagingTestCase
{

   public SecurityUtilTest(String name)
   {
      super(name);
   }


   public void setUp() throws Exception
   {
      super.setUp();
   }

   public void tearDown() throws Exception
   {
      super.tearDown();
   }

   public void testEncodeDecode() throws Exception
   {
      String clearText = "Clear Text Password";
      String maskedText = SecurityUtil.encode(clearText);
      char[] decodedBytes = SecurityUtil.decode(maskedText);
      String decodedText = new String(decodedBytes);
      log.debug("Decoded text: " + decodedText);
      
      assertEquals(clearText, decodedText);
      
   }

}
